/Datafetch/Occupation

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

The response format is a simple JSON structure that allows for the re-creation of a 2D matrix where each row is identified by a unique combination of Region and Occupation.

The full Occupation field list is here.

Sample

Selected Occupation data fields for Software Developers (15-1252) in New York MSA and Los Angeles MSA:

{
    "regions": [{
        "parent": {
            "type": "MSA",
            "code": "3562" // New York-Newark-Jersey City, NY-NJ MSA (3562)
        },
        "level": null,
    }, {
        "parent": {
            "type": "MSA",
            "code": "3108" // Los Angeles-Long Beach-Anaheim, CA MSA (3108)
        },
        "level": null,
    }],
    "occupations": [{
        "level": null,
        "parent": {
            "type": "Detailed",
            "code": "15-1252" // Software Developers (15-1252)
        }
    }],
    "pageKey": null,
    "pageSize": 1000,
    // current employment and wage percentile fields
    "fields": [{
        "field": "soc_description"
    }, {
        "field": "region_description"
    }, {
        "field": "empl_placeOfResidence"
    }, {
        "field": "empl_placeOfWork"
    }, {
        "field": "mean"
    }, {
        "field": "entry"
    }, {
        "field": "experienced"
    }, {
        "field": "pct10"
    }, {
        "field": "pct25"
    }, {
        "field": "pct50"
    }, {
        "field": "pct75"
    }, {
        "field": "pct90"
    }, {
        "field": "PostCount"
    }, {
        "field": "region_fips"
    }, {
        "field": "soc_code"
    }]
}
{
    "nextPage": null,
    "data": [{
            "soc_description": "Software Developers",
            "region_description": "Los Angeles-Long Beach-Anaheim, CA MSA",
            "empl_placeOfResidence": 68080.19817909722,
            "empl_placeOfWork": {
                "2024-01-01T00:00:00": 60944.482868886822
            },
            "mean": 156700.0,
            "entry": 107400.0,
            "experienced": 181300.0,
            "pct10": 97800.0,
            "pct25": 127400.0,
            "pct50": 158200.0,
            "pct75": 179000.0,
            "pct90": 214600.0,
            "postCount": 5228.3432840639216,
            "region_fips": "3108",
            "soc_code": "15-1252",
            "region_type": 2,
            "region_code": 3108
        },
        {
            "soc_description": "Software Developers",
            "region_description": "New York-Newark-Jersey City, NY-NJ MSA",
            "empl_placeOfResidence": 115770.48266546364,
            "empl_placeOfWork": {
                "2024-01-01T00:00:00": 107325.91692273732
            },
            "mean": 157700.0,
            "entry": 97000.0,
            "experienced": 188100.0,
            "pct10": 88700.0,
            "pct25": 115600.0,
            "pct50": 150600.0,
            "pct75": 186300.0,
            "pct90": 220100.0,
            "postCount": 15499.972570983788,
            "region_fips": "3562",
            "soc_code": "15-1252",
            "region_type": 2,
            "region_code": 3562
        }
    ],
    "executionTime": 697,
    "keyCount": {
        "regions": 2,
        "occupations": 1
    }
}

Sample

Time Series Employment, Software Developers (15-1252), 2023Q1-2023Q4, St. Louis MSA vs Kansas City MSA.

{
    "regions": [{
        "parent": {
            "type": "MSA",
            "code": "4118"
        },
        "level": null,
    }, {
        "parent": {
            "type": "MSA",
            "code": "2814"
        },
        "level": null,
    }],
    "occupations": [{
        "level": null,
        "parent": {
            "type": "Detailed",
            "code": "15-1252"
        }
    }],
    "pageKey": null,
    "pageSize": 1000,
    "fields": [{
            "field": "soc_description"
        },
        {
            "field": "region_description"
        },
        {
            "field": "region_fips"
        },
        {
            "field": "soc_code"
        },
        {
            "field": "empl_placeOfWork",
            "timePoints": [{
                "date": "2023-01-01T00:00:00-05:00",
                "interval": "Quarterly"
            }, {
                "date": "2023-04-01T00:00:00-04:00",
                "interval": "Quarterly"
            }, {
                "date": "2023-07-01T00:00:00-04:00",
                "interval": "Quarterly"
            }, {
                "date": "2023-10-01T00:00:00-04:00",
                "interval": "Quarterly"
            }]
        }
    ]
}
{
    "nextPage": null,
    "data": [{
            "soc_description": "Software Developers",
            "region_description": "Kansas City, MO-KS MSA",
            "region_fips": "2814",
            "soc_code": "15-1252",
            "empl_placeOfWork": {
                "2023-01-01T00:00:00": 12158.073108263496,
                "2023-04-01T00:00:00": 12256.4829311785,
                "2023-07-01T00:00:00": 12294.026438464643,
                "2023-10-01T00:00:00": 12322.408559284288
            },
            "region_type": 2,
            "region_code": 2814
        },
        {
            "soc_description": "Software Developers",
            "region_description": "St. Louis, MO-IL MSA",
            "region_fips": "4118",
            "soc_code": "15-1252",
            "empl_placeOfWork": {
                "2023-01-01T00:00:00": 11930.328119253087,
                "2023-04-01T00:00:00": 11994.177320574414,
                "2023-07-01T00:00:00": 12032.182729898119,
                "2023-10-01T00:00:00": 12124.233403920631
            },
            "region_type": 2,
            "region_code": 4118
        }
    ],
    "executionTime": 144,
    "keyCount": {
        "regions": 2,
        "occupations": 1
    }
}
Body Params
regions
array of objects
regions
occupations
array of objects
occupations
pageKey
object
int32
fields
array of objects
fields
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
string
enum
Defaults to application/json

Generated from available request content types

Allowed:
Response

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/json